Bug 522199 - Review Request: mingw32-wxWidgets - C++ cross-platform GUI library
Review Request: mingw32-wxWidgets - C++ cross-platform GUI library
Status: CLOSED DUPLICATE of bug 701112
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 14:32 EDT by Michael Ansel
Modified: 2013-10-19 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-01 05:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
SRPM rpmlint (162 bytes, text/plain)
2009-09-09 14:42 EDT, Michael Ansel
no flags Details
RPM rpmlint (4.48 KB, text/plain)
2009-09-09 14:42 EDT, Michael Ansel
no flags Details
-static RPM rpmlint (4.83 KB, text/plain)
2009-09-09 14:43 EDT, Michael Ansel
no flags Details

  None (edit)
Description Michael Ansel 2009-09-09 14:32:04 EDT
Spec URL: http://michael-nas.datadrop.biz/mingw-wxWidgets.spec
SRPM URL: http://michael-nas.datadrop.biz/mingw32-wxWidgets-2.8.10-1.fc11.src.rpm
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1663849

Description: wxWidgets is the C++ cross-platform GUI library, offering classes for all common GUI controls as well as a comprehensive set of helper classes for most common application tasks, ranging from networking to HTML display and image
manipulation.

This is my first package, so along with some serious guidance, I need an official sponsor. Thanks!
Comment 1 Michael Ansel 2009-09-09 14:42:00 EDT
Created attachment 360312 [details]
SRPM rpmlint
Comment 2 Michael Ansel 2009-09-09 14:42:46 EDT
Created attachment 360314 [details]
RPM rpmlint
Comment 3 Michael Ansel 2009-09-09 14:43:19 EDT
Created attachment 360316 [details]
-static RPM rpmlint
Comment 4 Jason Tibbitts 2010-11-03 12:27:01 EDT
This failed to build for me, though I don't know enough about mingw32 stuff to understand why.  Here's a scratch build showing the failure: http://koji.fedoraproject.org/koji/taskinfo?taskID=2574423

Please clear the whiteboard if providing a package which builds.
Comment 5 Thomas Sailer 2011-04-28 14:00:46 EDT
I'm reviving this review request.

Here's an updated package:
http://people.fedoraproject.org/~sailer/mingw32-wxWidgets-2.8.11-1.fc14.src.rpm

I'm willing to take over if the original poster lost his interest.

Yes, the built DLL's are big, but all the wxWidgets builds I've seen so far result in DLL's that are several tens of megabytes in size.
Comment 6 Kalev Lember 2011-04-30 08:43:37 EDT
If the original submitter is no longer interested, you should close this ticket and submit a new review request, marking this ticket as a duplicate.
Comment 7 Thomas Sailer 2011-05-01 05:37:11 EDT

*** This bug has been marked as a duplicate of bug 701112 ***

Note You need to log in before you can comment on or make changes to this bug.